Assign a storage unit to a load
curl --request POST \
--url https://clarus-api.com/api/load_tasks/{id}/assign_storage_unit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"load_id": 14,
"load_drop_id": 27
}
'import requests
url = "https://clarus-api.com/api/load_tasks/{id}/assign_storage_unit"
payload = {
"load_id": 14,
"load_drop_id": 27
}
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({load_id: 14, load_drop_id: 27})
};
fetch('https://clarus-api.com/api/load_tasks/{id}/assign_storage_unit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Loads
Assign a storage unit to a load
Assign the load task’s storage unit to a load and/or load drop without yet completing the load. Used by loading workflows that need to reserve a storage unit against a specific load (or drop within a load) before the operator physically loads it. At least one of load_id or load_drop_id must be supplied. This endpoint does NOT use JSON:API format.
POST
/
api
/
load_tasks
/
{id}
/
assign_storage_unit
Assign a storage unit to a load
curl --request POST \
--url https://clarus-api.com/api/load_tasks/{id}/assign_storage_unit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"load_id": 14,
"load_drop_id": 27
}
'import requests
url = "https://clarus-api.com/api/load_tasks/{id}/assign_storage_unit"
payload = {
"load_id": 14,
"load_drop_id": 27
}
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({load_id: 14, load_drop_id: 27})
};
fetch('https://clarus-api.com/api/load_tasks/{id}/assign_storage_unit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
FlowAuthorization Code
- Authorization URL
- https://clarus-api.com/oauth/authorize
- Token URL
- https://clarus-api.com/oauth/token
FlowClient Credentials
- Token URL
- https://clarus-api.com/oauth/token
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the load task
Body
application/json
Response
Operation completed successfully with no content to return

